summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorblsaws <bs3131@att.com>2016-02-17 15:37:11 -0800
committerblsaws <bs3131@att.com>2016-04-01 08:30:07 -0700
commita3c824c09ea5f52dea842d887ffe4b7a5702c462 (patch)
tree1da164cb35060fa9cf8144c126810fce96950abb
parent481e007a8ef5a4ffcd24d29a011c885b4955ab3f (diff)
Get lxc template from node1-control and use to create trusty-copper.
Add "-x -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no" for ssh and remove "set -x" (replaced by "ssh -x") JIRA: COPPER-4 Change-Id: Id13369546a8dba9382010a0d9a4f17c44fe6c28b Signed-off-by: blsaws <bs3131@att.com>
-rw-r--r--components/congress/test-webapp/setup/install_congress_testserver_1.sh14
-rw-r--r--components/congress/test-webapp/setup/install_congress_testserver_2.sh2
2 files changed, 11 insertions, 5 deletions
diff --git a/components/congress/test-webapp/setup/install_congress_testserver_1.sh b/components/congress/test-webapp/setup/install_congress_testserver_1.sh
index d405cba..0776ba3 100644
--- a/components/congress/test-webapp/setup/install_congress_testserver_1.sh
+++ b/components/congress/test-webapp/setup/install_congress_testserver_1.sh
@@ -22,7 +22,7 @@
# - ~/env.sh created as part of Congress install (install_congress_3.sh)
# How to use:
# Install OPNFV per https://wiki.opnfv.org/copper/academy/joid
-# $ source ~/git/copper/tests/setup/install_congress_testserver_1.sh
+# $ source install_congress_testserver_1.sh
# Following are notes on creating a container as test driver for Congress.
# This is based upon an Ubuntu host as installed by JOID.
@@ -31,14 +31,22 @@
# <code>
# On the jumphost
-sudo lxc-create -n trusty-copper -t /usr/share/lxc/templates/lxc-ubuntu -- -b ubuntu ~/opnfv
+# Earlier versions of the JOID installer installed lxc and created local templates
+# but now we have to get the ubuntu template from the controller
+sudo apt-get install -y lxc
+juju scp ubuntu@node1-control:/usr/share/lxc/templates/lxc-ubuntu ~/lxc-ubuntu
+sudo cp ~/lxc-ubuntu /usr/share/lxc/templates/lxc-ubuntu
+sudo lxc-create -n trusty-copper -t /usr/share/lxc/templates/lxc-ubuntu -l DEBUG -- -b opnfv ~/opnfv
sudo lxc-start -n trusty-copper -d
sudo lxc-info --name trusty-copper
+if (($? > 0)); then
+ return
+fi
export COPPER_HOST=""
while [ "$COPPER_HOST" == "" ]; do
export COPPER_HOST=$(sudo lxc-info --name trusty-copper | grep IP | awk "/ / { print \$2 }")
done
echo COPPER_HOST = $COPPER_HOST
echo export COPPER_HOST=$COPPER_HOST >>~/env.sh
-ssh -t ubuntu@$COPPER_HOST "source ~/git/copper/components/congress/test-webapp/setup/install_congress_testserver_2.sh; exit"
+ssh -t -x -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no opnfv@$COPPER_HOST "source ~/git/copper/components/congress/test-webapp/setup/install_congress_testserver_2.sh; exit"
# </code>
diff --git a/components/congress/test-webapp/setup/install_congress_testserver_2.sh b/components/congress/test-webapp/setup/install_congress_testserver_2.sh
index 6f5b7a1..d877d68 100644
--- a/components/congress/test-webapp/setup/install_congress_testserver_2.sh
+++ b/components/congress/test-webapp/setup/install_congress_testserver_2.sh
@@ -27,7 +27,6 @@
# === Configure the test server ===
# <code>
-set -x #echo on
sudo apt-get update
sudo apt-get upgrade -y
@@ -133,5 +132,4 @@ chmod 777 ~/coppertest/logs
# Restart Apache
sudo service apache2 restart
-set -x #echo off
# </code>